Bug 165020 - Extras packages are missing vendor flag.
Extras packages are missing vendor flag.
Status: CLOSED RAWHIDE
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 12:46 EDT by Sindre Pedersen Bjørdal
Modified: 2007-04-18 13:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-14 12:11:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2005-08-03 12:46:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.6.3

Description of problem:
Packages in Fedora Extras are missing the vendor flag.

Packages in Core has "Red Hat, Inc." as their vendor, packages from Extras have "(none)". 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a package from Extras
2. rpm -q --qf "%{vendor}\n" packagename
  

Additional info:
Comment 1 Seth Vidal 2005-08-04 01:25:25 EDT
I'm pretty sure the no vendor tag is intentional.

cc'ing spot on this one
Comment 2 Tom "spot" Callaway 2005-08-04 11:03:13 EDT
Do we care that Vendor: is unset? Individual packages certainly should not be
setting Vendor. What is this breaking exactly?
Comment 3 Sindre Pedersen Bjørdal 2005-08-04 11:43:24 EDT
It's not breaking anything as far I as know. Nor is the vendor tag really that
important. Max RPM states: The VENDOR tag is used to display the organization
responsible for marketing the package.

However, I've used the vendor flag in rpm queries to list packages from certain
repositories. Fairly useful when sorting out systems messed up from mixing
packages from conflicting repositories. I'm sure there are plenty other ways of
doing this though. 
Comment 4 Dan Williams 2006-05-14 12:11:32 EDT
Should be fixed, all the mock configs have %vendora defined as "Fedora Project"
in them now.

Note You need to log in before you can comment on or make changes to this bug.